Name:           psimedia
Version:        1.0.3
Release:        14%{?dist}
Summary:        Audio and video RTP services for Psi-like IM clients

License:        LGPLv2+
URL:            http://delta.affinix.com/psimedia/
Source0:        http://delta.affinix.com/download/psimedia/%{name}-%{version}.tar.bz2
Source1:        psimedia.desktop
# Using %%{_libdir}/psi/plugins directory for psimedia demo
Patch0:         psimedia-demo.patch
# http://code.google.com/p/psi-dev/source/browse/trunk/patches/psimedia/0040-psimedia-2.6.38-compilation-fix.diff
Patch1:         psimedia-remove-v4l.patch
# https://bugs.gentoo.org/show_bug.cgi?id=361419#c5
Patch2:         psimedia-drop-v4lsrc-gst-plugin.patch
# fixes for latest gcc & glib https://github.com/psi-im/psimedia/commit/a986555ab7898b22fddda459c9977194b992f8b7
Patch3:         psimedia-glib.patch
# https://github.com/psi-plus/psimedia/commit/8a6503ae3caee3fe795ff2927c8dc88345d0a541
Patch4:         psimedia-varrate-asterisk.patch
#https://github.com/psi-plus/psimedia/commit/c2b8446e6cf636ad2eae60d36f13eb79e67816fd
Patch5:         psimedia-uvcvideo-fix.patch

# psi crashes if gstreamer-plugins-good not installed
Requires:       gstreamer-plugins-good

BuildRequires:  qt4-devel
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.22
BuildRequires:  liboil-devel >= 0.3
BuildRequires:  speex-devel
BuildRequires:  desktop-file-utils

%description
PsiMedia is a thick abstraction layer for providing audio and
video RTP services to Psi-like IM clients. The implementation
is based on GStreamer.

%prep
%setup -q
%patch0 -p1 -b .demo
%patch1 -p1 -b .v4l
%patch2 -b .v4lsrc
%patch3 -p1 -b .glib
%patch4 -p1 -b .varrate-asterisk
%patch5 -p1 -b .uvcvideo


%build
# Generated by qconf 1.5 ( http://delta.affinix.com/qconf/ )
./configure --libdir=%{_libdir} --prefix=%{_prefix}

make %{?_smp_mflags}

%install
install -D -m 755 gstprovider/libgstprovider.so $RPM_BUILD_ROOT%{_libdir}/psi/plugins/libgstprovider.so
install -D -m 755 demo/demo $RPM_BUILD_ROOT%{_bindir}/%{name}

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}


%files
%doc COPYING README TODO
%dir %{_libdir}/psi
%dir %{_libdir}/psi/plugins
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/psi/plugins/libgstprovider.so

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jan 24 2013 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-11
- drop Requires: psi
- own %%{_libdir}/psi and %%{_libdir}/psi/plugins
- backport psi-plus-psimedia fixes

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Apr 21 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-8
- add drop-v4lsrc-gst-plugin patch from Gentoo

* Thu Apr 21 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-7
- update v4l1 patch

* Wed Feb 09 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-6
- removed v4l

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 25 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-4
- Added BR gstreamer-plugins-good to avoid psi crash

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-2
- Fixed patch for using libdir in plugins path
- Group changed to Applications/Multimedia

* Mon Jul  6 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-1
- Initial RPM release
